commit: 79e2fe8673b1b0703afba4ac15aa349a22efb8ed
Author: Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 4 18:50:59 2020 +0000
Commit: Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sun Oct 4 19:25:24 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79e2fe86
dev-python/reno: bump to 3.2.0, add Python 3.9 support+tests
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>
dev-python/reno/Manifest | 1 +
dev-python/reno/reno-3.2.0.ebuild | 40 +++++++++++++++++++++++++++++++++++++++
2 files changed, 41 insertions(+)
diff --git a/dev-python/reno/Manifest b/dev-python/reno/Manifest
index 346e72e4a6c..feab07451c0 100644
--- a/dev-python/reno/Manifest
+++ b/dev-python/reno/Manifest
@@ -1 +1,2 @@
DIST reno-2.11.3.tar.gz 73296 BLAKE2B
a09c79c12945396425f2d3a45259e15e1fe8909df107de90884a51c87a5f4ac9f425907c1f9f401417d979e8762f80f188d2e783a7ff36541c107a9497a12746
SHA512
8d5bfe30c7a886d295d77b3d38e7fde09a8febacfacbf984f919bd5c813d81999870684f7da5b3e77a95436c912ea8e275b68548622462218356e23ad084140c
+DIST reno-3.2.0.tar.gz 77316 BLAKE2B
43fe83a5f4c3e812daa3d2456f6c3b0bc7ba661193187f05527108e7b182dd078ec7a26b39e2939d51efc231e60f3d503479a4729b391faf764fa1e5d941c967
SHA512
b0399e5472afa4c883af563949cf4083571ee6dfcc05babb9845fa44fb9cfa2d0a1be6f315915597c22e86e0504102cb4f90aee59273ccbaceb15e93ed078b65
diff --git a/dev-python/reno/reno-3.2.0.ebuild
b/dev-python/reno/reno-3.2.0.ebuild
new file mode 100644
index 00000000000..3a693a7bada
--- /dev/null
+++ b/dev-python/reno/reno-3.2.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Release notes manager, storing release notes in a git repo and
building docs"
+HOMEPAGE="https://pypi.org/project/reno/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc64 ~x86"
+IUSE=""
+
+RDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
+ >=dev-python/dulwich-0.15.0[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+ )
+"
+
+# The doc needs to be built from a git repository
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ # Some tests need to be run from a git repository
+ rm reno/tests/test_{cache,semver}.py || die
+ distutils-r1_python_prepare_all
+}